Subject: Re: [PATCH v3] powerpc/ppc64: Use preempt_schedule_irq instead of preempt_schedule

From: Valentine <[email-masked]>
Date: Sat, 07 Nov 2009 01:38:12 +0300

Benjamin Herrenschmidt wrote:
>> Yes, the MSR_EE is cleared before we jump to do_work. I'm OK with 
>> clearing the hardirqenable flag. I just assumed that the hardirq flag 
>> was supposed to reflect the MSR_EE state, so it looked a bit odd 
>> clearing the MSR_EE at one place and then reflecting the change at another.
> 
> Yeah well, it is supposed to reflect EE in the "general case", it's just
> that in the exception entry/exit, we take shortcuts when turning EE off
> for short amount of times without reflecting it in the PACA. This is
> why, in this case, since we are going back to C code, I want to have it
> "fixed up" to reflect reality.
> 

Ben, this one works fine. Are you going to pick it?

Thanks,
Val.